# NOTE
# - here should be rc-scripts dependencies that you don't need inside vserver
#   (interact with kernel / networking), the rest of the packages can
#   workarounded in sane way (for example udev + udev-core)
%define		ul_ver	2.25.0
Summary:	A package providing fake packages for VServer guest system
Summary(pl.UTF-8):	Pakiet udostępniający fałszywe pakiety dla systemu gościnnego VServera
Name:		vserver-packages
Version:	3.3
Release:	11
License:	GPL
Group:		Base
# Do not put Obsoletes for all of the packages -- allows installing of the real package
# don't provide (klogd) this one since syslog-ng would obsolete whole package
Requires:	sed >= 4.0
Provides:	blockdev = %{ul_ver}
Provides:	dev = 3.4-4
Provides:	ethtool
Provides:	fsck = %{ul_ver}
Provides:	iproute2 = 2.6.23
Provides:	iputils-arping = 2:s20101006-2
# versioned as 0.41 because of Conflicts in libcgroup-libs
Provides:	libcgroup = 0.41
Provides:	login = %{ul_ver}
Provides:	lvm2 = 2.02.132
Provides:	mingetty = 0.9.4
Provides:	kmod = 7-2
Provides:	module-init-tools = 4.0
Provides:	mount = %{ul_ver}
Provides:	virtual(module-tools)
Obsoletes:	devfs
Obsoletes:	modutils
Obsoletes:	vserver-SysVinit
Obsoletes:	vserver-basesystem
Obsoletes:	vserver-dev
Obsoletes:	vserver-rc-scripts
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# find-debuginfo.sh can't live with missing $RPM_BUILD_ROOT and it's somewhy
# still called for noarch packages.
%define		_enable_debug_packages	0

%description
A package providing a fake packages to allow removal of useless
packages inside VPS.

%description -l pl.UTF-8
Pakiet dostarczający fałszywe pakiety, aby umożliwić usunięcie
bezużytecznych pakietów z VPS-a.

%prep

%install
rm -rf $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin -- poldek
# remove "ignore = vserver-packages" from poldek config if this package is installed
if [ -f /etc/poldek/poldek.conf ]; then
	%{__sed} -i -e '/^ignore/s/vserver-packages//' /etc/poldek/poldek.conf
fi

%files
%defattr(644,root,root,755)
%changelog
* Sat Feb 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vserver-packages.git;a=log;h=master

* Sat Feb 25 2017 Jan Rękorajski <baggins@pld-linux.org> 4045dc2
- bump versions for systemd 232
- rel 11

* Sat Feb 15 2014 Jakub Bogusz <qboosh@pld-linux.org> da99848
- release 10: added libcgroup version to allow installation of libcgroup-{libs,devel}

* Wed Jun 19 2013 Elan Ruusamäe <glen@delfi.ee> 79a418c
- provide newer kmod for geninitrd conflict

* Sun Jan 13 2013 Elan Ruusamäe <glen@delfi.ee> d9baeb1
- provide module-init-tools = 4.0 otherwise kmod will obsolete vserver packages

* Wed Oct 31 2012 Elan Ruusamäe <glen@delfi.ee> 5883791
- invoke on poldek install event instead (triggerin)

* Wed Oct 31 2012 Elan Ruusamäe <glen@delfi.ee> c47d214
- blah, fix poldek.conf path; add todo about vserver build notices

* Tue Jul 10 2012 Marcin Krol <hawk@tld-linux.org> fb75c25
- release 6

* Sun Feb 12 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 6cf8690
- rel 5; provide fake module-init-tools at ver 3.3

* Mon Feb 06 2012 Jan Rękorajski <baggins@pld-linux.org> b265b36
- rel 4
- provide new kernel module stuff

* Tue Nov 15 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 00a3d03
- rel 2: P newer lvm2 -> 2.02.83

* Sun Sep 25 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 6357c31
- rel 2; versioned iputils-arping P:

* Fri Sep 23 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 49b52c8
- ver 3.3; P: iputils-arping

* Tue Jul 26 2011 Elan Ruusamäe <glen@pld-linux.org> 0ca9fb1
- remove "ignore = vserver-packages" from poldek config if this package is installed
- bump version to 3.2

* Mon May 30 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> eefcb74
- rel 10; P: libcgroup

* Sat Dec 18 2010 Elan Ruusamäe <glen@pld-linux.org> a0c4c91
- P lvm2 2.02.40

* Wed Sep 02 2009 Elan Ruusamäe <glen@pld-linux.org> 4e7550d
- P: ethtool; rel 8

* Mon Mar 02 2009 Jan Rękorajski <baggins@pld-linux.org> 2b8b84b
- rel 7
- provide dev version required by setup

* Mon Jan 19 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 7bef9fa
- release 6

* Thu Jan 15 2009 zbyniu <zbyniu@pld-linux.org> 7962e94
- P: dev = 2.9.0-22; rel 5

* Fri Nov 21 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 52d70af
- rel 4; version util-linux stuff with 2.14.1

